www-legal-discuss mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sam Ruby" <ru...@apache.org>
Subject Re: FCKeditor
Date Mon, 07 Jan 2008 15:04:10 GMT
I agree with Jeremias's comments.

Note http://people.apache.org/~rubys/3party.html relabels this section
"reciprocal licenses", and opens the door slightly for scripting
languages.  After a brief glance at FCKeditor, I'm assuming that it is
Javascript.

I see it as Cocoon's responsibility to outline a policy by which it
ensures that the MPL licensed artifacts are not modified in the ASF
SVN, and that people who download Cocoon are made aware that this code
is under a different license.

On Jan 7, 2008 9:48 AM, Jeremias Maerki <jeremias@apache.org> wrote:
> (IANAL)
>
> Careful! The Apache License 2.0 is compatible to the GPLv3 but not the
> other way around! You can use ALv2 software in GPL software but using
> GPL-licensed software in Apache products is a strict no-go.
>
> However, it seems you can still use FCKeditor but only under the MPL,
> i.e. as a "Category B: Binary Licenses Only".
>
> On 06.01.2008 21:06:34 Felix Knecht wrote:
> > Sorry, took wrong mail sender address (not the one I subscribed)
> >
> >
> > Dear all
> >
> > After reading a draft of third party license policy (http://people.apache.org/~cliffs/3party.html)
and reading the FAQs
> > (http://apache.org/foundation/licence-FAQ.html#GPL) I'm still need some help if
it's a no go or not.
> >
> > I'd like to integrate FCKeditor in the Apache Cocoon project. FCKeditor is distributed
with different licenses like GPL,
> > LGPL, MPL, CDL (http://www.fckeditor.net/license).
> >
> > OOH the draft says that GPL is a nogo, OTH the FAQ says that GPLv3.0 is compatible
to Apache License 2.0.
> >
> > FCKeditor licence.txt says:
> > <zitate>
> > FCKeditor - The text editor for Internet - http://www.fckeditor.net
> > Copyright (C) 2003-2007 Frederico Caldeira Knabben
> >
> > Licensed under the terms of any of the following licenses at your
> > choice:
> >
> >  - GNU General Public License Version 2 or later (the "GPL")
> >    http://www.gnu.org/licenses/gpl.html
> >    (See Appendix A)
> >
> > ...
> > </zitate>
> >
> > Following the FAQ I can integrate FCKeditor without any problems in Apache Cocoon
just adding the source of FCKeditor
> > into the cocoon code (FCKeditor uses GPLv2 or later --> later ==GPLv3 which is
compatible to the Apache License).
> >
> >
> > After all my question:
> >
> > Is it really that simple and I can integrate FCKeditors source code without any
problems into Apache Cocoon?
> >
> >
> > Thanks for your help
> > Felix
>
>
>
> Jeremias Maerki
>
>
>
> ---------------------------------------------------------------------
> DISCLAIMER: Discussions on this list are informational and educational
> only.  Statements made on this list are not privileged, do not
> constitute legal advice, and do not necessarily reflect the opinions
> and policies of the ASF.  See <http://www.apache.org/licenses/> for
> official ASF policies and documents.
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: legal-discuss-unsubscribe@apache.org
> For additional commands, e-mail: legal-discuss-help@apache.org
>
>

---------------------------------------------------------------------
DISCLAIMER: Discussions on this list are informational and educational
only.  Statements made on this list are not privileged, do not
constitute legal advice, and do not necessarily reflect the opinions
and policies of the ASF.  See <http://www.apache.org/licenses/> for
official ASF policies and documents.
---------------------------------------------------------------------
To unsubscribe, e-mail: legal-discuss-unsubscribe@apache.org
For additional commands, e-mail: legal-discuss-help@apache.org


Mime
View raw message